<?php

namespace plugin\cms;

use think\admin\Plugin;
use think\facade\View;

class Service extends Plugin
{
    protected $appName = '文章管理';
    protected $appCode = 'cms';
    protected $package = 'jerryyan/think-plugs-cms';

    public static function register(): void
    {
        View::assign("_YES_OR_NO", [
            '1' => '是',
            '0' => '否'
        ]);
    }

    public static function menu(): array
    {
        $code = app(static::class)->appCode;
        return [
            [
                'name' => '文章管理',
                'subs' => [
                    ['name' => '文章分类', 'icon' => 'layui-icon layui-icon-template-1', 'node' => "{$code}/category/index"],
                    ['name' => '文章列表', 'icon' => 'layui-icon layui-icon-template-1', 'node' => "{$code}/article/index"],
                    ['name' => '轮播图列表', 'icon' => 'layui-icon layui-icon-template-1', 'node' => "{$code}/banner/index"],
                ]
            ]
        ];
    }
}